---
updatedAt: 2026-05-11T18:50:59.000Z
---

# Return Item Overrides

Set global return settings in Seller Center. Use this API to override return settings at the item level.

Empty values remove existing overrides and restore the global settings.

For details see [Bulk Return Rules](https://marketplacelearn.walmart.com/guides/Order%20management/Returns%20&%20refunds/Create-item-level-return-rules?locale=en-US).

Download the request body sample: <a href="/file/mp/us/returns-feed.zip">returns-feed.zip</a>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Returns Management",
    "version": "1.0",
    "description": "Buyers initiate returns on Walmart.com for Marketplace items.\n\nException categories HAZMAT OTHER and FREIGHT are excluded from buyer initiated returns.\n\nFor HAZMAT and OTHER the seller generates the return shipping label and uploads it.\n\nFor instructions and the Returns API JSON schema see the [Returns guide](https://developer.walmart.com/us-marketplace/docs/returns-and-refunds-api-overview)."
  },
  "x-readme": {
    "samples-languages": [
      "shell"
    ],
    "proxy-enabled": false
  },
  "servers": [
    {
      "url": "https://marketplace.walmartapis.com",
      "description": "Production URL"
    },
    {
      "url": "https://sandbox.walmartapis.com",
      "description": "Sandbox URL"
    }
  ],
  "security": [
    {
      "basicScheme": []
    }
  ],
  "paths": {
    "/v3/feeds": {
      "post": {
        "tags": [
          "Returns/Refunds"
        ],
        "summary": "Return Item Overrides",
        "description": "Set global return settings in Seller Center. Use this API to override return settings at the item level.\n\nEmpty values remove existing overrides and restore the global settings.\n\nFor details see [Bulk Return Rules](https://marketplacelearn.walmart.com/guides/Order%20management/Returns%20&%20refunds/Create-item-level-return-rules?locale=en-US).\n\nDownload the request body sample: <a href=\"/file/mp/us/returns-feed.zip\">returns-feed.zip</a>",
        "operationId": "bulkItemOverrideFeed",
        "parameters": [
          {
            "name": "feedType",
            "in": "query",
            "description": "Feed type for this endpoint.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "RETURNS_OVERRIDES"
            }
          },
          {
            "in": "header",
            "name": "WM_SEC.ACCESS_TOKEN",
            "description": "The access token retrieved in the Token API call",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "eyJraWQiOiIzZjVhYTFmNS1hYWE5LTQzM....."
          },
          {
            "in": "header",
            "name": "WM_CONSUMER.CHANNEL.TYPE",
            "description": "A unique ID to track the consumer request by channel. Use the Consumer Channel Type received during onboarding",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "WM_QOS.CORRELATION_ID",
            "description": "A unique ID which identifies each API call and used to track and debug issues; use a random generated GUID for this ID",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "b3261d2d-028a-4ef7-8602-633c23200af6"
          },
          {
            "in": "header",
            "name": "WM_SVC.NAME",
            "description": "Walmart Service Name",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "Walmart Service Name"
          }
        ],
        "requestBody": {
          "content": {
            "multipart/form-data": {
              "schema": {
                "required": [
                  "file"
                ],
                "type": "object",
                "properties": {
                  "file": {
                    "type": "string",
                    "description": "Feed file to upload. Contains the RETURNS_OVERRIDES feed as a ZIP file that follows the schema.",
                    "format": "binary"
                  }
                }
              },
              "examples": {
                "sample1": {
                  "value": {
                    "header": {
                      "feedDate": "2018-08-31T20:59:14.000Z"
                    },
                    "overrideFeed": [
                      {
                        "sku": "ABC001",
                        "overrides": {
                          "returnCenterAlias": "CAL1"
                        }
                      }
                    ]
                  }
                },
                "sample2": {
                  "value": {
                    "header": {
                      "feedDate": "2018-08-31T20:59:14.000Z"
                    },
                    "overrideFeed": [
                      {
                        "sku": "ABC002",
                        "overrides": {
                          "isKeepIt": "Yes"
                        }
                      }
                    ]
                  }
                },
                "sample3": {
                  "value": {
                    "header": {
                      "feedDate": "2018-08-31T20:59:14.000Z"
                    },
                    "overrideFeed": [
                      {
                        "sku": "ABC003",
                        "overrides": {
                          "isReturnRestricted": "No"
                        }
                      }
                    ]
                  }
                },
                "sample4": {
                  "value": {
                    "header": {
                      "feedDate": "2018-08-31T20:59:14.000Z"
                    },
                    "overrideFeed": [
                      {
                        "sku": "ABC004",
                        "overrides": {
                          "isKeepIt": ""
                        }
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful Operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "feedId": {
                      "type": "string",
                      "description": "A unique ID, returned from the Bulk Upload API, used for tracking the Feed File."
                    }
                  }
                },
                "example": {
                  "feedId": "C0771C26FF1A4282A73C6F3EB659D9BF@ATgBAQA"
                }
              }
            }
          }
        }
      }
    }
  }
}
```